/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	// Theme prefix.
	var prefix = "smartzine-";

	wp.customize( "blogname", function( value ) {
		value.bind( function( to ) {
			$( ".site-title a" ).text( to );
		} );
	} );

	// Header Color
	wp.customize( prefix + "header-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffffff';
			$( '#masthead' ).css('background-color', to);
		} );
	} );
	wp.customize( prefix + "site-title-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffffff';
			$( '#masthead .site-title a' ).css('color', to);
		} );
	} );

	// Menu Color
	wp.customize( prefix + "menu-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#141414';
			$( '#primary-bar' ).css('background-color', to);
		} );
	} );
	wp.customize( prefix + "menu-link-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffffff';
			$( '#primary-nav ul li a' ).css('color', to);
		} );
	} );

	// Content Color
	wp.customize( prefix + "content-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffffff';
			$( '#main' ).css('background-color', to);
		} );
	} );
	wp.customize( prefix + "content-text-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#777777';
			$( 'article .entry-content, article .entry-summary, article blockquote' ).css('color', to);
		} );
	} );
	wp.customize( prefix + "content-heading-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#323232';
			$( 'article h1, article h2, article h3, article h4, article h5, article h6, .entry-title a:link,.entry-title a:visited' ).css('color', to);
		} );
	} );
	wp.customize( prefix + "content-link-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ff4020';
			$( 'article .entry-content a, article .entry-content a:link' ).css('color', to);
		} );
	} );
	wp.customize( prefix + "content-link-hover-color", function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ff6c53';
			$( 'article .entry-content a:hover' ).css('color', to);
		} );
	} );

	

} )( jQuery );
