<?php
// Theme prefix
$prefix = 'smartzine-';

// Archive Type
if ( is_category() ) {
	$type = 'cat-';
} elseif ( is_tag() ) {
	$type = 'tag-';
} elseif ( is_author() ) {
	$type = 'author-';
} elseif ( is_search() ) {
	$type = 'search-';
} else {
	$type = 'archive-';
}

// Get the customizer value.
$layout      = smartzine_mod( $prefix . $type . 'layout' );
$thumb       = smartzine_mod( $prefix . $type . 'thumbnail' );
$category    = smartzine_mod( $prefix . $type . 'category' );
$excerpt     = smartzine_mod( $prefix . $type . 'excerpt' );
$meta        = smartzine_mod( $prefix . $type . 'meta' );
$excerpt_num = smartzine_mod( $prefix . $type . 'excerpt-limit' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

	<?php echo smartzine_get_format_gallery(); // Get the gallery ?>

	<?php smartzine_entry_category( array( 'show' => $category ) ); ?>

	<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

	<?php if ( $excerpt ) : ?>
		<div class="entry-content" <?php hybrid_attr( 'entry-summary' ); ?>>
			<?php the_content( "" ); ?>
			<a class="more-link" href="<?php the_permalink(); ?>"><?php apply_filters( 'smartzine_readmore_text', _e( 'Read Full Article', 'smartzine' ) ); ?></a>
		</div><!-- .entry-content -->
	<?php endif; ?>

	<?php smartzine_post_meta( array( 'show' => $meta ) ); ?>
	
</article><!-- #post-## -->
