<?php
// Theme prefix
$prefix = 'smartzine-';

// Archive Type
if ( is_category() ) {
	$type = 'cat-';
} elseif ( is_tag() ) {
	$type = 'tag-';
} elseif ( is_author() ) {
	$type = 'author-';
} elseif ( is_search() ) {
	$type = 'search-';
} else {
	$type = 'archive-';
}

// Get the customizer value.
$layout      = smartzine_mod( $prefix . $type . 'layout' );
$thumb       = smartzine_mod( $prefix . $type . 'thumbnail' );
$category    = smartzine_mod( $prefix . $type . 'category' );
$excerpt     = smartzine_mod( $prefix . $type . 'excerpt' );
$excerpt_num = smartzine_mod( $prefix . $type . 'excerpt-limit' );
$meta        = smartzine_mod( $prefix . $type . 'meta' );
$review      = smartzine_mod( $prefix . $type . 'review' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

	<a href="<?php the_permalink(); ?>" class="post-link" rel="bookmark" itemprop="url">
		<?php echo smartzine_get_first_image( 'full', false ); ?>
		<?php smartzine_review_box( array( 'show' => $review ) ); ?>
	</a>

	<?php smartzine_entry_category( array( 'show' => $category ) ); ?>

	<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

	<div class="entry-content" <?php hybrid_attr( 'entry-summary' ); ?>>
		<?php // omit any excerpt or content for focusing on image only ?>
		<a class="more-link" href="<?php the_permalink(); ?>"><?php apply_filters( 'smartzine_readmore_text', _e( 'Read Full Article', 'smartzine' ) ); ?></a>
	</div><!-- .entry-content -->

	<?php smartzine_post_meta( array( 'show' => $meta ) ); ?>
	
</article><!-- #post-## -->
