<?php
// Theme prefix
$prefix = 'smartzine-';

// Single Post
$type = 'post-';

// Get the customizer value.
$category    = smartzine_mod( $prefix . $type . 'cat' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

	<?php if ( has_post_format( 'video' ) ) : ?>
		<div class="entry-image video">
			<?php echo hybrid_media_grabber( array( 'type' => 'video', 'split_media' => true ) ); ?>
		</div>
	<?php elseif ( has_post_format( 'audio' ) ) : ?>
		<div class="entry-image audio">
			<?php echo hybrid_media_grabber( array( 'type' => 'audio', 'split_media' => true ) ); ?>
		</div>
	<?php elseif ( has_post_format( 'image' ) )	: // do nothing ?>
	<?php else : ?>
		<?php smartzine_single_featured_image(); ?>
	<?php endif; ?>
	
	<header class="entry-header">
		<?php smartzine_entry_category( array( 'show' => $category ) ); ?>

		<?php the_title( '<h1 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '>', '</h1>' ); ?>

		<div class="entry-meta">
			<?php smartzine_post_author(); ?>
			<?php smartzine_posted_on(); ?>
			<?php smartzine_comment_count(); ?>
			<?php edit_post_link( __( 'Edit', 'smartzine' ), '<span class="edit-link"><i class="fa fa-pencil-square-o"></i> ', '</span>' ); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content" <?php hybrid_attr( 'entry-content' ); ?>>
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'smartzine' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer clearfix">
		<?php smartzine_entry_tags(); ?>

		<?php smartzine_entry_share(); ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->