<?php 
	// for has_sidebar
	$size = 'medium';

	// for no sidebar
	if ( current_theme_supports( 'theme-layouts' ) && ! is_admin() ) {
		if ( 'layout-1c' == theme_layouts_get_layout() ) {
			$size = 'large';
		}
	}

	// for homepage
	$prefix = 'smartzine-';
	$layout = smartzine_mod( $prefix . 'home-featured-layout' );
	if ( 'slider' == $layout ) {
		$size = 'large';
	}
?>
<li class="hentry post">
	<a class="post-link" href="<?php the_permalink(); ?>">
		<?php if ( has_post_thumbnail() ) : ?>
			<?php the_post_thumbnail( $size, array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?>
		<?php else : ?>
			<img class="entry-thumbnail" width="940" height="540" src="<?php echo esc_url( '//placehold.it/940x540/?text=' . urlencode( get_the_title() ) ); ?>" alt="<?php the_title_attribute(); ?>" />
		<?php endif; ?>
	</a>
	<div class="featured-text">
		<?php smartzine_entry_category( array( 'show' => true ) ); ?>
		<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" itemprop="url" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
	</div>
	<a href="<?php the_permalink(); ?>"><div class="featured-overlay"></div></a>
</li>