<?php
// Theme prefix
$prefix = 'smartzine-';

// Archive Type
if ( is_category() ) {
	$type = 'cat-';
} elseif ( is_tag() ) {
	$type = 'tag-';
} elseif ( is_author() ) {
	$type = 'author-';
} elseif ( is_search() ) {
	$type = 'search-';
} else {
	$type = 'archive-';
}

// Get the customizer value.
$layout      = smartzine_mod( $prefix . $type . 'layout' );
$thumb       = smartzine_mod( $prefix . $type . 'thumbnail' );
$category    = smartzine_mod( $prefix . $type . 'category' );
$excerpt     = smartzine_mod( $prefix . $type . 'excerpt' );
$excerpt_num = smartzine_mod( $prefix . $type . 'excerpt-limit' );
$meta        = smartzine_mod( $prefix . $type . 'meta' );
$review      = smartzine_mod( $prefix . $type . 'review' );

// 'last' class for Blog Grid
$classes = array();
if ( 'grid' == $layout ) {
	if ( 'layout-1c' == theme_layouts_get_layout() ) 
		$divider = 3;
	else
		$divider = 2;

	global $i;
	if ( 0 == ( $i % $divider ) )
		$classes[] = 'last';
	$i++;
}

// set image size
if ( 'standard' == $layout )
	$size = 'medium';
else 
	$size = 'post-thumbnail';
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $classes ); ?> <?php hybrid_attr( 'post' ); ?>>

	<a href="<?php the_permalink(); ?>" class="post-link" rel="bookmark" itemprop="url">
		<?php smartzine_featured_image( array( 'size' => $size, 'show' => $thumb ) ); ?>
		<?php smartzine_post_icon( array( 'layout' => $layout, 'show' => $thumb ) ); ?>
		<?php smartzine_review_box( array( 'show' => $review ) ); ?>
	</a>

	<?php smartzine_entry_category( array( 'show' => $category ) ); ?>

	<?php if ( has_post_format( 'link' ) ) : ?>

		<?php smartzine_get_post_format_link_url(); ?>
		
	<?php else : ?>

		<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

	<?php endif; ?>	

	<?php if ( $excerpt ) : ?>
		<?php if ( 'standard' == $layout ) : ?>
			<div class="entry-content" <?php hybrid_attr( 'entry-summary' ); ?>>
				<?php the_content( "" ); ?>
				<a class="more-link" href="<?php the_permalink(); ?>"><?php apply_filters( 'smartzine_readmore_text', _e( 'Read Full Article', 'smartzine' ) ); ?></a>
			</div><!-- .entry-content -->
		<?php else: ?>
			<div class="entry-summary" <?php hybrid_attr( 'entry-summary' ); ?>>
				<?php echo strip_tags( wp_trim_words( get_the_excerpt(), (int) $excerpt_num ) ); ?>
			</div><!-- .entry-summary -->
		<?php endif; ?>
	<?php endif; ?>

	<?php smartzine_post_meta( array( 'show' => $meta ) ); ?>
	
</article><!-- #post-## -->
