<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> <?php hybrid_attr( 'body' ); ?>>

<div id="page" class="hfeed site clearfix">

	<!-- Primary Bar / Start -->
	<div id="primary-bar" class="clearfix">

		<div class="inner">

			<?php get_template_part( 'menu', 'primary' ); // Loads the menu-primary.php template. ?>

			<?php smartzine_social_icons(); ?>

			<div class="header-search">
				<a href="#" id="searchtoggl"><i class="fa fa-search"></i></a>
			</div>	

		</div><!-- .inner -->

	</div>	
	<!-- Primary Bar / End -->

	<div id="searchbar" class="inner clearfix">
		<form id="searchform" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
			<button type="submit" id="search-submit"><?php _e( 'Search', 'smartzine' ); ?></button>
			<input type="search" name="s" id="s" placeholder="<?php esc_attr_e( 'Search This Site&hellip;', 'smartzine' ); ?>" autocomplete="off" value="<?php echo esc_attr( get_search_query() ); ?>" />
		</form>
	</div>

	<header id="masthead" class="site-header container clearfix" role="banner" <?php hybrid_attr( 'header' ); ?>>

		<div class="site-branding">
			<?php smartzine_site_branding(); ?>
		</div>

	</header><!-- #masthead -->

	<?php smartzine_header_ads(); // Get the header advertisement data. ?>

	<main id="main" class="site-main container clearfix<?php smartzine_dynamic_sidebar_class(); ?>">