<?php
/**
 * Menu color
 *
 * @package    SmartZine
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2015, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

if ( ! function_exists( 'smartzine_customizer_menu_styles' ) && class_exists( 'Customizer_Library_Styles' ) ) :
/**
 * Process user options to generate CSS needed to implement the choices.
 *
 * @since  1.0.0
 */
function smartzine_customizer_menu_styles() {

	// Theme prefix
	$prefix = 'smartzine-';
	
	// Menu Background Color
	$menu = smartzine_mod( $prefix . 'menu-color' );

	if ( $menu !== customizer_library_get_default( $prefix . 'menu-color' ) ) {

		$color = sanitize_hex_color( $menu );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#primary-bar'
			),
			'declarations' => array(
				'background-color' => $color
			)
		) );
	}

	// Menu link color
	$menu_link = smartzine_mod( $prefix . 'menu-link-color' );

	if ( $menu_link !== customizer_library_get_default( $prefix . 'menu-link-color' ) ) {

		$color = sanitize_hex_color( $menu_link );

		Customizer_Library_Styles()->add( array(
			'selectors' => array(
				'#primary-nav ul li a'
			),
			'declarations' => array(
				'color' => $color
			)
		) );
	}

}
endif;
add_action( 'smartzine_customizer_library_styles', 'smartzine_customizer_menu_styles' );