<?php if ( is_singular( 'post' ) ) : // If viewing a single post page. ?>

	<?php
	// Theme prefix
	$prefix = 'smartzine-';

	// Get the data set in customizer
	$enable  = smartzine_mod( $prefix . 'post-nav' );
	?>
	<?php if ( $enable ) : ?>	

		<?php if ( get_previous_post_link() || get_next_post_link() ) : ?>
			<div class="post-nav">
				<div class="nav-prev">
					<?php previous_post_link( 
						'%link',					
						'<div class="arrow"><i class="fa fa-angle-left"></i></div>'.
						'<div class="nav-text"><span>' . __( 'Previous Post', 'smartzine' ) . '</span><h5>%title</h5></div>' 
					); ?>
				</div>
				
				<div class="nav-next">
					<?php next_post_link(  
						'%link',
						'<div class="arrow"><i class="fa fa-angle-right"></i></div>' .
						'<div class="nav-text"><span>' . __( 'Next Post', 'smartzine' ) . '</span><h5>%title</h5></div>'
						); 
					?>
				</div>
			</div><!-- .loop-nav -->
		<?php endif; ?>
		
	<?php endif; ?>

<?php elseif ( is_home() || is_archive() || is_search() // If viewing the blog, an archive, or search results. 
	|| is_front_page() || is_page_template( 'page-templates/blog.php' ) ) : // if viewing front page or page template ?>

	<?php
	// for injecting num pages
	// so will work on static front page (using 'page') or page template (using 'paged')
	if ( 0 != get_query_var( 'paged' ) ) {
		$paged = absint( get_query_var( 'paged' ) );
	} elseif ( 0 != get_query_var( 'page' ) ) {
		$paged = absint( get_query_var( 'page' ) );
	} else {
		$paged = 1;
	}
	?>

	<?php the_posts_pagination( array( 'current' => $paged ) ); ?>

<?php endif; // End check for type of page being viewed. ?>