<?php
/**
 * Template Name: Blog template
 *
 * Can be used as page template for Single Page.
 *
 * If Front page displays in Settings > Reading is set to A static Page
 *   this template will be used for 'Posts page' 
 * 
 */
get_header(); ?>

	<div id="primary" class="content-area">
		<div id="content" role="main" <?php hybrid_attr( 'content' ); ?>>

			<?php if ( have_posts() ) : ?>

				<?php
				// Theme prefix
				$prefix = 'smartzine-';

				// Get the customizer value.
				$slider_args = array(
					'enable'  => smartzine_mod( $prefix . 'featured-enable' ),
					'title'   => smartzine_mod( $prefix . 'featured-title' ),
					'tag'     => smartzine_mod( $prefix . 'featured-tag' ),
					'num'     => smartzine_mod( $prefix . 'featured-num' ),
					'orderby' => smartzine_mod( $prefix . 'featured-orderby' )
				);
				$layout = smartzine_mod( $prefix . 'archive-layout' );
				?>

				<?php smartzine_content_slider( $slider_args ); ?>

				<?php 
				if ( 0 != get_query_var( 'paged' ) ) {
					$paged = absint( get_query_var( 'paged' ) );
				} elseif ( 0 != get_query_var( 'page' ) ) {
					$paged = absint( get_query_var( 'page' ) );
				} else {
					$paged = 1;
				}

				$args = apply_filters( 'smartzine_blog_query', array( 'post_type' => 'post', 'paged' => $paged ) );
				$blog = new WP_Query( $args );

				if ( $blog->have_posts() ) :

					// for injecting num pages
					$wp_query->max_num_pages = $blog->max_num_pages;
				?>

					<div class="content-loop loop-blog <?php smartzine_posts_layout(); ?>">

						<?php get_template_part( 'loop', 'title' ); ?>

						<?php /* Start the Loop */ ?>

						<?php global $i; $i = 1; // counter for blog grid ?>
						<?php while ( $blog->have_posts() ) : $blog->the_post(); ?>

							<?php if ( 'standard' == $layout ) : ?>
								<?php get_template_part( 'content', get_post_format() ); ?>
							<?php else : ?>
								<?php get_template_part( 'content' ); ?>
							<?php endif; ?>

						<?php endwhile; ?>

					</div><!-- .content-loop -->

					<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template ?>

					<?php wp_reset_postdata(); ?>

				<?php endif; ?>

			<?php else : ?>

				<?php get_template_part( 'content', 'none' ); ?>

			<?php endif; ?>

		</div><!-- #content -->
	</div><!-- #primary -->

	<?php get_sidebar(); ?>
<?php get_footer(); ?>