<?php
/**
 * Template Name: Home template
 *
 * If Front page displays in Settings > Reading is set to 'Your latest posts'
 *   this template will be used.
 *
 * Otherwise, this template can also be used as separate page template 
 *   (and be set as Front page later).
 * 
 */
get_header(); ?>

	<?php smartzine_home_featured(); // Get the featured content data. ?>

	<div id="primary" class="content-area" role="main" <?php hybrid_attr( 'content' ); ?>>

			<?php
			// Theme prefix
			$prefix = 'smartzine-';

			// Get the customizer value.
			$widget = smartzine_mod( $prefix . 'home-widget' );
			?>

			<?php if ( is_active_sidebar( $widget ) ) : ?>

				<?php dynamic_sidebar( $widget ); ?>

			<?php else : ?>

				<?php 
				$args = array( 
					'before_widget' => '<div class="home-widget clearfix">',
					'after_widget'  => '</div>',
					'before_title'  => '<h3 class="heading">',
					'after_title'   => '</h3>',
				);

				// Home Grid
				$instance = array(
					'title'         => __( 'Latest News in Grid', 'smartzine' ),
					'layout'        => 'grid',
					'limit'         => 6,
					'cat'           => '',
					'format'        => '',
					'showthumb'     => true,
					'showcat'       => true,
					'showexcerpt'   => true,
					'excerpt_limit' => 15,
					'showmeta'      => true,
					'showreview'    => true
					);
				the_widget( 'SmartZine_Home_Grid_List_Widget', $instance, $args ); 

				// Home List
				$instance = array(
					'title'         => __( 'Latest News in List', 'smartzine' ),
					'layout'        => 'list',
					'limit'         => 3,
					'cat'           => '',
					'format'        => '',
					'showthumb'     => true,
					'showcat'       => true,
					'showexcerpt'   => true,
					'excerpt_limit' => 15,
					'showmeta'      => true,
					'showreview'    => true
					);
				the_widget( 'SmartZine_Home_Grid_List_Widget', $instance, $args ); 

				// Home Slider
				$instance = array(
					'title' => __( 'Latest News in Slider', 'smartzine' ),
					'limit' => 5,
					'cat'   => '',
					'format' => '',
					'showcat' => true,
					'showtitle' => true
				);
				the_widget( 'SmartZine_Home_Slider_Widget', $instance, $args ); 

				// Home Special
				$instance = array(
					'title'      => __( 'Latest Special', 'smartzine' ),
					'cat'        => '',
					'format'     => '',
					'showreview' => true
				);
				$args['before_widget'] = '<div class="home-widget three-col-posts clearfix">';
				the_widget( 'SmartZine_Home_Special_Widget', $instance, $args ); 
				?>

			<?php endif; ?>

	</div><!-- #primary -->

	<?php get_sidebar(); ?>
<?php get_footer(); ?>